diff --git a/changelog b/changelog
index c90262b..667795f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100331 tpd src/axiom-website/patches.html 20100331.01.tpd.patch
+20100331 tpd src/input/zimmer.input run the zimmerman test suite
+20100331 tpd src/input/Makefile add zimmer regression file
 20100330 tpd src/axiom-website/patches.html 20100330.02.tpd.patch
 20100330 tpd src/input/Makefile add davenport.input
 20100330 tpd src/input/davenport.input examples from DST88 paper
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9c17253..0189d71 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2597,5 +2597,7 @@ src/axiom-website/download.html add march 2010 ubuntu<br/>
 src/axiom-website/download.html change 2009 -> 2010 on new links<br/>
 <a href="patches/20100330.02.tpd.patch">20100330.02.tpd.patch</a>
 src/input/davenport.input examples from DST88 paper<br/>
+<a href="patches/20100331.01.tpd.patch">20100331.01.tpd.patch</a>
+src/input/zimmer.input run the zimmerman test suite<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 67cf307..bcacc33 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -240,8 +240,7 @@ SKIP= as-eg1.output as-eg2.output    \
       s21bcf.output    s21bdf.output    saddle.output    \
       sininv.output    sinsin2.output   sinsin.output    spiral.output    \
       tetra.output     tknot.output     tschirn.output   typo.output      \
-      vectors.output   wester.output    wiggle.output    zimmbron.output \
-      zimmer.output    
+      vectors.output   wester.output    wiggle.output    zimmbron.output 
 
 # Error ASEC is invalid as a function.
 ASEC=errortrap.output 
@@ -275,7 +274,7 @@ OUTS= ffrac.output     \
       vector.output    viewdef.output   \
       wutset.output    \
       xpoly.output     xpr.output       \
-      zdsolve.output   zimmer.output    zlindep.output 
+      zdsolve.output   zlindep.output 
 
 REGRES= ackermann.regress \
     algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
@@ -400,7 +399,7 @@ REGRES= ackermann.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
     unittest1.regress unittest2.regress unittest3.regress unittest4.regress \
-    unit-i-funsel.regress unit-macro.regress zimmbron.regress
+    unit-i-funsel.regress unit-macro.regress zimmbron.regress zimmer.regress
 
 IN=     ${SRC}/input
 MID=	${INT}/input
diff --git a/src/input/zimmer.input.pamphlet b/src/input/zimmer.input.pamphlet
index bf5a824..efc88fe 100644
--- a/src/input/zimmer.input.pamphlet
+++ b/src/input/zimmer.input.pamphlet
@@ -2,7 +2,7 @@
 \usepackage{axiom}
 \begin{document}
 \title{\$SPAD/src/input zimmer.input}
-\author{The Axiom Team}
+\author{Timothy Daly}
 \maketitle
 \begin{abstract}
 These examples come from Postel and Zimmermann's paper in the 5th Rhine
@@ -11,379 +11,1899 @@ Conference on Computer Algebra.
 \eject
 \tableofcontents
 \eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1996.
-\end{chunk}
 \begin{chunk}{*}
-\getchunk{license}
 )set break resume
+)sys rm -f zimmer.output
+)spool zimmer.output
+)set message test on
+)set message auto off
 
 -- First Order Equations
 
--- 1
-
+--S 1 of 177
 u := operator 'u
+--R 
+--R
+--R   (1)  u
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 177
 ode := (x^4-x^3)*D(u x,x) + 2*x^4*u(x) = x^3/3 + C
+--R 
+--R
+--R                                   3
+--R          4    3  ,        4      x  + 3C
+--R   (2)  (x  - x )u (x) + 2x u(x)= -------
+--R                                     3
+--R                                            Type: Equation Expression Integer
+--E 2
+
+--S 3 of 177
 solve(ode,u,x)
+--R 
+--R
+--R                         3     2                     - 2x
+--R                       2x  - 3x  + 6C              %e
+--R   (3)  [particular= ------------------,basis= [-----------]]
+--R                        4      3      2          2
+--R                     12x  - 24x  + 12x          x  - 2x + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 3
 
--- 2
 )clear all
+ 
 
+--S 4 of 177
 u := operator 'u
+--R 
+--R
+--R   (1)  u
+--R                                                          Type: BasicOperator
+--E 4
+
+--S 5 of 177
 ode := -D(u x,x)/2 + u(x) = sin(x)
+--R 
+--R
+--R           ,
+--R        - u (x) + 2u(x)
+--R
+--R   (2)  ---------------= sin(x)
+--R               2
+--R                                            Type: Equation Expression Integer
+--E 5
+
+--S 6 of 177
 solve(ode,u,x)
+--R 
+--R
+--R                     4sin(x) + 2cos(x)           2x
+--R   (3)  [particular= -----------------,basis= [%e  ]]
+--R                             5
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 6
 
--- 3
 )clear all
+ 
 
+--S 7 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 7
+
+--S 8 of 177
 ode := D(y x,x) = y(x)/(y(x)*log(y(x)) + x)
+--R 
+--R
+--R         ,            y(x)
+--R   (2)  y (x)= -----------------
+--R               y(x)log(y(x)) + x
+--R                                            Type: Equation Expression Integer
+--E 8
+
+--S 9 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                     2
+--R        y(x)log(y(x))  - 2x
+--R   (3)  -------------------
+--R               2y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 9
 
--- 4
 )clear all
+ 
 
+--S 10 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 10
+
+--S 11 of 177
 ode := 2*y(x)*D(y x,x)^2 -2*x*D(y x,x)-y(x) = 0
+--R 
+--R
+--R              ,   2      ,
+--R   (2)  2y(x)y (x)  - 2xy (x) - y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 11
+
+--S 12 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 12
 
--- 5
 )clear all
+ 
 
+--S 13 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 13
+
+--S 14 of 177
 ode := D(y x,x) + y(x) = y(x)^3*sin(x)
+--R 
+--R
+--R         ,                3
+--R   (2)  y (x) + y(x)= y(x) sin(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 14
+
+--S 15 of 177
 solve(ode,y,x)
+--R 
+--R
+--R               2              2
+--R        - 4y(x) sin(x) - 2y(x) cos(x) + 5
+--R   (3)  ---------------------------------
+--R                         2  2x
+--R                    5y(x) %e
+--R                                          Type: Union(Expression Integer,...)
+--E 15
 
--- 6
 )clear all 
+ 
 
+--S 16 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 16
+
+--S 17 of 177
 P := operator 'P
+--R 
+--R
+--R   (2)  P
+--R                                                          Type: BasicOperator
+--E 17
+
+--S 18 of 177
 Q := operator 'Q
+--R 
+--R
+--R   (3)  Q
+--R                                                          Type: BasicOperator
+--E 18
+
+--S 19 of 177
 ode := D(y x,x) + P(x)*y(x) = Q(x)*y(x)^n
+--R 
+--R
+--R         ,                        n
+--R   (4)  y (x) + P(x)y(x)= Q(x)y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 19
+
+--S 20 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (5)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 20
+
+--S 21 of 177
 solve(eval(ode,n=1),y,x)
+--R 
+--R
+--R                                    x
+--R                                  ++
+--I                                  |   (Q(%J) - P(%J))d%J
+--R                                 ++
+--R   (6)  [particular= 0,basis= [%e                        ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 21
+
+--S 22 of 177
 solve(eval(ode,n=2),y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   Function not supported by Risch d.e.
+--R
+--R   Continuing to read the file...
+--R
+--E 22
+
+--S 23 of 177
 solve(eval(ode,n=%pi),y,x)
+--R 
+--R
+--R   (7)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 23
+
+--S 24 of 177
 solve(eval(ode,n=%e),y,x)
+--R 
+--R
+--R   (8)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 24
+
+--S 25 of 177
 solve(eval(ode,n=sqrt(2)),y,x)
+--R 
+--R
+--R   (9)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 25
 
--- 7
 )clear all
+ 
 
+--S 26 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 26
+
+--S 27 of 177
 ode := (x^2-1)*D(y x,x)^2 - 2*x*y(x)*D(y x,x)+(y x)^2 - 1 = 0
+--R 
+--R
+--R          2      ,   2           ,          2
+--R   (2)  (x  - 1)y (x)  - 2x y(x)y (x) + y(x)  - 1= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 27
+
+--S 28 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 28
 
--- 8
 )clear all
+ 
 
+--S 29 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 29
+
+--S 30 of 177
 f := operator 'f
+--R 
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 30
+
+--S 31 of 177
 g := operator 'g
+--R 
+--R
+--R   (3)  g
+--R                                                          Type: BasicOperator
+--E 31
+
+--S 32 of 177
 ode := f(x*D(y x,x) - y(x)) = g(D(y x,x))
+--R 
+--R
+--R            ,                ,
+--R   (4)  f(xy (x) - y(x))= g(y (x))
+--R
+--R                                            Type: Equation Expression Integer
+--E 32
+
+--S 33 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseODE: equation has order 0
+--R
+--R   Continuing to read the file...
+--R
+--E 33
 
--- 9
 )clear all
+ 
 
+--S 34 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 34
+
+--S 35 of 177
 ode := D(y x,x)  = (3*x^2-y(x)^2-7)/(exp(y(x))+2*x*y(x)+1)
+--R 
+--R
+--R                       2     2
+--R         ,       - y(x)  + 3x  - 7
+--R   (2)  y (x)= --------------------
+--R                 y(x)
+--R               %e     + 2x y(x) + 1
+--R                                            Type: Equation Expression Integer
+--E 35
+
+--S 36 of 177
 solve(ode,y,x)
+--R 
+--R
+--R          y(x)         2           3
+--R   (3)  %e     + x y(x)  + y(x) - x  + 7x
+--R                                          Type: Union(Expression Integer,...)
+--E 36
 
--- 10
 )clear all
+ 
 
+--S 37 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 37
+
+--S 38 of 177
 ode := D(y x,x)  = (2*x^3*y(x) - (y x)^4)/(x^4 - 2*x*(y x)^3)
+--R 
+--R
+--R                   4     3
+--R         ,     y(x)  - 2x y(x)
+--R   (2)  y (x)= ---------------
+--R                       3    4
+--R                2x y(x)  - x
+--R                                            Type: Equation Expression Integer
+--E 38
+
+--S 39 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 39
 
--- 11
 )clear all
+ 
 
+--S 40 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 40
+
+--S 41 of 177
 ode := D(y x,x)*(D(y x,x) + y(x)) = x*(x + y(x))
+--R 
+--R
+--R         ,   2        ,               2
+--R   (2)  y (x)  + y(x)y (x)= x y(x) + x
+--R
+--R                                            Type: Equation Expression Integer
+--E 41
+
+--S 42 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 42
 
--- 12
 )clear all
+ 
 
+--S 43 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 43
+
+--S 44 of 177
 ode := D(y x,x) = x/(x^2*(y x)^2 + (y x)^5)
+--R 
+--R
+--R         ,            x
+--R   (2)  y (x)= ---------------
+--R                   5    2    2
+--R               y(x)  + x y(x)
+--R                                            Type: Equation Expression Integer
+--E 44
+
+--S 45 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                                     3
+--R                                2y(x)
+--R                              - ------
+--R                3     2            3
+--R        (- 2y(x)  - 2x  - 3)%e
+--R   (3)  ------------------------------
+--R                       4
+--R                                          Type: Union(Expression Integer,...)
+--E 45
 
--- 13
 )clear all
+ 
 
+--S 46 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 46
+
+--S 47 of 177
 ode := y(x) = 2*x*D(y x,x) - a*D(y x,x)^3
+--R 
+--R
+--R                   ,   3      ,
+--R   (2)  y(x)= - a y (x)  + 2xy (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 47
+
+--S 48 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 48
 
--- 14
 )clear all
+ 
 
+--S 49 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 49
+
+--S 50 of 177
 ode := y(x) = 2*x*D(y x,x) - D(y x,x)^3
+--R 
+--R
+--R                 ,   3      ,
+--R   (2)  y(x)= - y (x)  + 2xy (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 50
+
+--S 51 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 51
 
--- 15
 )clear all
+ 
 
+--S 52 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 52
+
+--S 53 of 177
 ode := D(y x,x) = exp(x)*(y x)^2 - y(x) + exp(-x)
+--R 
+--R
+--R         ,         2  x     - x
+--R   (2)  y (x)= y(x) %e  + %e    - y(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 53
+
+--S 54 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 54
 
--- 16
 )clear all
+ 
 
+--S 55 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 55
+
+--S 56 of 177
 ode := D(y x,x) = (y x)^2 - x*y(x) + 1
+--R 
+--R
+--R         ,         2
+--R   (2)  y (x)= y(x)  - x y(x) + 1
+--R
+--R                                            Type: Equation Expression Integer
+--E 56
+
+--S 57 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                         2
+--R                        x
+--R                      - --   x
+--R                         2 ++       1
+--I        (- y(x) + x)%e     |   - ------- d%J  + 1
+--R                          ++           2
+--I                                     %J
+--R                                   - ---
+--R                                      2
+--R                                 %e
+--R   (3)  -----------------------------------------
+--R                                    2
+--R                                   x
+--R                                 - --
+--R                                    2
+--R                     (y(x) - x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 57
 
--- 17
 )clear all
+ 
 
+--S 58 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 58
+
+--S 59 of 177
 ode := D(y x,x) = (9*x^8 + 1)/((y x)^2 +1)
+--R 
+--R
+--R                  8
+--R         ,      9x  + 1
+--R   (2)  y (x)= ---------
+--R                   2
+--R               y(x)  + 1
+--R                                            Type: Equation Expression Integer
+--E 59
+
+--S 60 of 177
 solve(ode,y,x)
+--R 
+--R
+--R            3             9
+--R        y(x)  + 3y(x) - 3x  - 3x
+--R   (3)  ------------------------
+--R                    3
+--R                                          Type: Union(Expression Integer,...)
+--E 60
 
--- 18
 )clear all
+ 
 
+--S 61 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 61
+
+--S 62 of 177
 ode := y(x)=2*x*D(y x,x) + y(x)*D(y x,x)^2
+--R 
+--R
+--R                   ,   2      ,
+--R   (2)  y(x)= y(x)y (x)  + 2xy (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 62
+
+--S 63 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 63
 
--- 19
 )clear all
+ 
+
+--S 64 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 64
+
+--S 65 of 177
 ode := x = y(x)*D(y x,x) - x*D(y x,x)^2
+--R 
+--R
+--R                ,   2        ,
+--R   (2)  x= - x y (x)  + y(x)y (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 65
+
+--S 66 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 66
 
 -- Second Order Equations
 
--- 20
 )clear all
+ 
+--S 67 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 67
+
+--S 68 of 177
 ode := D(y x,x,2)*(a*x+b)^2+4*D(y x,x)*(a*x+b)*a+2*y(x)*a^2=0
+--R 
+--R
+--R          2 2             2  ,,         2          ,        2
+--R   (2)  (a x  + 2a b x + b )y  (x) + (4a x + 4a b)y (x) + 2a y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 68
+
+--S 69 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                                        x              2a x + b
+--R   (3)  [particular= 0,basis= [------------------,------------------]]
+--R                                2 2             2  2 2             2
+--R                               a x  + 2a b x + b  a x  + 2a b x + b
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 69
 
--- 21
 )clear all
+ 
+--S 70 of 177
 u := operator 'u
+--R 
+--R
+--R   (1)  u
+--R                                                          Type: BasicOperator
+--E 70
+
+--S 71 of 177
 ode := (x^2 - x)*D(u x,x,2) + (2*x^2+4*x-3)*D(u x,x) + 8*x*u(x)=1
+--R 
+--R
+--R          2      ,,         2           ,
+--R   (2)  (x  - x)u  (x) + (2x  + 4x - 3)u (x) + 8x u(x)= 1
+--R
+--R                                            Type: Equation Expression Integer
+--E 71
+
+--S 72 of 177
 solve(ode,u,x)
+--R 
+--R
+--R                         3     2                                   - 2x
+--R                       2x  - 3x  + 53                 1          %e
+--R   (3)  [particular= ------------------,basis= [-------------,-----------]]
+--R                        4      3      2          4     3    2  2
+--R                     12x  - 24x  + 12x          x  - 2x  + x  x  - 2x + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 72
 
--- 22
 )clear all
+ 
+--S 73 of 177
 w := operator 'w
+--R 
+--R
+--R   (1)  w
+--R                                                          Type: BasicOperator
+--E 73
+
+--S 74 of 177
 ode := (x^2 - x)*D(w x,x,2) + (1-2*x^2)*D(w x,x) + (4*x - 2)*w(x) = 0
+--R 
+--R
+--R          2      ,,           2      ,
+--R   (2)  (x  - x)w  (x) + (- 2x  + 1)w (x) + (4x - 2)w(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 74
+
+--S 75 of 177
 solve(ode,w,x)
+--R 
+--R
+--R                                2   2x
+--R   (3)  [particular= 0,basis= [x ,%e  ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 75
 
--- 23
-)clear all
+)clear all 
+
+--S 76 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 76
+
+--S 77 of 177
 ode := D(y x,x,2) - D(y x,x) = 2*y(x)*D(y x,x)
+--R 
+--R
+--R         ,,       ,           ,
+--R   (2)  y  (x) - y (x)= 2y(x)y (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 77
+
+--S 78 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getfreelincoeff: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 78
 
--- 24
 )clear all
+ 
+--S 79 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 79
+
+--S 80 of 177
 ode := D(y x,x,2)/y(x) - D(y x,x)^2/y(x)^2 -1 + y(x)^(-3) = 0
+--R 
+--R
+--R            2 ,,           ,   2       3
+--R        y(x) y  (x) - y(x)y (x)  - y(x)  + 1
+--R
+--R   (2)  ------------------------------------= 0
+--R                            3
+--R                        y(x)
+--R                                            Type: Equation Expression Integer
+--E 80
+
+--S 81 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 81
 
--- 25
 )clear all
+
+
+--S 82 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 82
+
+--S 83 of 177
 ode :=  D(y x,x,2) + 2*x*D(y x,x) = 2*x
+--R 
+--R
+--R         ,,         ,
+--R   (2)  y  (x) + 2xy (x)= 2x
+--R
+--R                                            Type: Equation Expression Integer
+--E 83
+
+--S 84 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)  [particular= x,basis= [1,erf(x)]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 84
 
--- 26
 )clear all
+
+--S 85 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 85
+
+--S 86 of 177
 ode := 2*y(x)*D(y x,x,2) - D(y x,x)^2 = (D(y x,x) - x*D(y x,x,2))^2/3
+--R 
+--R
+--R                               2 ,,   2      ,    ,,       ,   2
+--R                              x y  (x)  - 2xy (x)y  (x) + y (x)
+--R              ,,       ,   2
+--R   (2)  2y(x)y  (x) - y (x) = ----------------------------------
+--R                                               3
+--R                                            Type: Equation Expression Integer
+--E 86
+
+--S 87 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 87
 
--- 27
 )clear all
+ 
+
+--S 88 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 88
+
+--S 89 of 177
 ode := x*D(y x,x,2) = 2*y(x)*D(y x,x)
+--R 
+--R
+--R          ,,           ,
+--R   (2)  xy  (x)= 2y(x)y (x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 89
+
+--S 90 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getfreelincoeff: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 90
 
--- 28
 )clear all
+
+
+--S 91 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 91
+
+--S 92 of 177
 ode := (1-x)*(y(x)*D(y x,x,2) - D(y x,x)^2) + x^2*y(x)^2 = 0
+--R 
+--R
+--R                      ,,              ,   2    2    2
+--R   (2)  (- x + 1)y(x)y  (x) + (x - 1)y (x)  + x y(x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 92
+
+--S 93 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 93
 
--- 29
 )clear all
+
+--S 94 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 94
+
+--S 95 of 177
 ode := x*y(x)*D(y x,x,2) + x*D(y x,x)^2 + y(x)*D(y x,x) = 0
+--R 
+--R
+--R               ,,         ,   2        ,
+--R   (2)  x y(x)y  (x) + x y (x)  + y(x)y (x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 95
+
+--S 96 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 96
 
--- 30
 )clear all
+
+--S 97 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 97
+
+--S 98 of 177
 ode := D(y x,x,2)^2 - 2*D(y x,x,2)*D(y x,x) + 2*y(x)*D(y x,x) -y(x)^2 = 0
+--R 
+--R
+--R         ,,   2     ,    ,,            ,          2
+--R   (2)  y  (x)  - 2y (x)y  (x) + 2y(x)y (x) - y(x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 98
+
+--S 99 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 99
 
--- 31 
 )clear all
+
+--S 100 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 100
+
+--S 101 of 177
 ode := (x^3/2-x^2)*D(y x,x,2) + (2*x^2-3*x+1)*D(y x,x) + (x-1)*y(x) = 0
+--R 
+--R
+--R          3     2  ,,         2           ,
+--R        (x  - 2x )y  (x) + (4x  - 6x + 2)y (x) + (2x - 2)y(x)
+--R
+--R   (2)  -----------------------------------------------------= 0
+--R                                  2
+--R                                            Type: Equation Expression Integer
+--E 101
+
+--S 102 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)
+--R   [particular= 0,
+--R                1               1                  1
+--R              - - +-------+   - - +-------+   x   -- +----------+
+--I                x |   1         x |   1     ++    %J |     1
+--I    basis= [%e    |------- ,%e    |-------  |   %e   |---------- d%J ]]
+--R                  | 2             | 2      ++        |  4      3
+--I                 \|x  - 2x       \|x  - 2x          \|%J  - 2%J
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 102
 
--- 32
 )clear all
+
+--S 103 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 103
+
+--S 104 of 177
 ode := D(y x,x,2) - 2*x*D(y x,x) + 2*y(x) = 3
+--R 
+--R
+--R         ,,         ,
+--R   (2)  y  (x) - 2xy (x) + 2y(x)= 3
+--R
+--R                                            Type: Equation Expression Integer
+--E 104
+
+--S 105 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                                           2
+--I                                     x   %J
+--R                     3             ++  %e
+--I   (3)  [particular= -,basis= [x,x |   ----- d%J ]]
+--R                     2            ++      2
+--I                                        %J
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 105
 
--- 33
 )clear all
+
+--S 106 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 106
+
+--S 107 of 177
 ode := sqrt(x)*D(y x,x,2) + 2*x*D(y x,x) + 3*y(x) = 0
+--R 
+--R
+--R         +-+ ,,         ,
+--R   (2)  \|x y  (x) + 2xy (x) + 3y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 107
+
+--S 108 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)  [particular= 0,basis= []]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 108
 
--- 34
 )clear all
+ 
+--S 109 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 109
+
+--S 110 of 177
 ode := x^2*D(y x,x,2) + 3*x*D(y x,x) = 1/(x^4*y(x)^3)
+--R 
+--R
+--R         2 ,,         ,        1
+--R   (2)  x y  (x) + 3xy (x)= -------
+--R                             4    3
+--R                            x y(x)
+--R                                            Type: Equation Expression Integer
+--E 110
+
+--S 111 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 111
 
--- 35
 )clear all
+
+--S 112 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 112
+
+--S 113 of 177
 ode := D(y x,x,2) - 2/x^2*y(x) = 7*x^4 +3*x^3
+--R 
+--R
+--R         2 ,,
+--R        x y  (x) - 2y(x)
+--R                            4     3
+--R   (2)  ----------------= 7x  + 3x
+--R                2
+--R               x
+--R                                            Type: Equation Expression Integer
+--E 113
+
+--S 114 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                       7     6     3               3      3
+--R                     3x  + 2x  - 7x  + 14         x  - 1 x  + 2
+--R   (3)  [particular= --------------------,basis= [------,------]]
+--R                              12x                    x      x
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 114
 
--- 36
 )clear all
+ 
+--S 115 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 115
+
+--S 116 of 177
 ode := D(y x,x,2) +y(x) = csc(x)
+--R 
+--R
+--R         ,,
+--R   (2)  y  (x) + y(x)= csc(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 116
+
+--S 117 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)
+--R                            sin(x)                     2
+--R   [particular= sin(x)log(----------) - sin(x)log(----------) - x cos(x),
+--R                          cos(x) + 1              cos(x) + 1
+--R    basis= [cos(x),sin(x)]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 117
 
 -- Higher Order Equations
 
--- 37
 )clear all
+ 
+--S 118 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 118
+
+--S 119 of 177
 ode := D(y x,x,7) - 14*D(y x,x,6) +80*D(y x,x,5) -242*D(y x,x,4) + _
          419*D(y x,x,3) - 416*D(y x,x,2) +220*D(y x,x) -48*y(x) = 0
+--R 
+--R
+--R   (2)
+--R      (vii)         (vi)         (v)          (iv)          ,,,          ,,
+--R     y     (x) - 14y    (x) + 80y   (x) - 242y    (x) + 419y   (x) - 416y  (x)
+--R
+--R   + 
+--R         ,
+--R     220y (x) - 48y(x)
+--R
+--R     =
+--R     0
+--R                                            Type: Equation Expression Integer
+--E 119
+
+--S 120 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                                 4x   3x   2x     2x   x     x  2  x
+--R   (3)  [particular= 0,basis= [%e  ,%e  ,%e  ,x %e  ,%e ,x %e ,x %e ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 120
 
--- 38
 )clear all
+ 
+--S 121 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 121
+
+--S 122 of 177
 ode := D(y x,x,4) -4/x^2*D(y x,x,2) + 8/x^3*D(y x,x) -8/x^4*D(y x,x) = 0
+--R 
+--R
+--R         4 (iv)        2 ,,               ,
+--R        x y    (x) - 4x y  (x) + (8x - 8)y (x)
+--R
+--R   (2)  --------------------------------------= 0
+--R                           4
+--R                          x
+--R                                            Type: Equation Expression Integer
+--E 122
+
+--S 123 of 177
 solve(ode,y,x)
+--R 
+--R
+--R   (3)  [particular= 0,basis= [1]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 123
 
--- 39
 )clear all
+ 
+--S 124 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 124
+
+--S 125 of 177
 ode := (1+x+x^2)*D(y x,x,3) + (3+6*x)*D(y x,x,2) +6*D(y x,x) = 6*x
+--R 
+--R
+--R          2          ,,,               ,,        ,
+--R   (2)  (x  + x + 1)y   (x) + (6x + 3)y  (x) + 6y (x)= 6x
+--R
+--R                                            Type: Equation Expression Integer
+--E 125
+
+--S 126 of 177
 solve(ode,y,x)
+--R 
+--R
+--R                         4
+--R                        x  - 4                 1        x + 1
+--R   (3)  [particular= ------------,basis= [----------,----------,1]]
+--R                       2                   2          2
+--R                     4x  + 4x + 4         x  + x + 1 x  + x + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 126
 
--- 40
 )clear all
+ 
+--S 127 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 127
+
+--S 128 of 177
 ode := (D(y x,x)^2 +1)*D(y x,x,3) - 3*D(y x,x)*D(y x,x,2) = 0
+--R 
+--R
+--R          ,   2      ,,,        ,    ,,
+--R   (2)  (y (x)  + 1)y   (x) - 3y (x)y  (x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 128
+
+--S 129 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 129
 
--- 41
 )clear all
+ 
+--S 130 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 130
+
+--S 131 of 177
 ode := 3*D(y x,x,2)*D(y x,x,4) - 5*D(y x,x,3)^2 = 0
+--R 
+--R
+--R          ,,    (iv)        ,,,   2
+--R   (2)  3y  (x)y    (x) - 5y   (x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 131
+
+--S 132 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseLODE: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 132
 
 -- Special Equations
 
--- 42
 )clear all
+ 
+--S 133 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 133
+
+--S 134 of 177
 ode := D(y t,t) + a*y(t-1) = 0
+--R 
+--R
+--R         ,
+--R   (2)  y (t) + a y(t - 1)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 134
+
+--S 135 of 177
 solve(ode,y,t)
+--R 
+--R
+--R           t
+--R         ++
+--I   (3)   |   a y(%J - 1)d%J  + y(t)
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 135
 
--- 43
 )clear all
+ 
+
+--S 136 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 136
+
+--S 137 of 177
 ode := D(y(x,a),x) = a*y(x,a)
+--R 
+--R
+--R   (2)  y  (x,a)= a y(x,a)
+--R         ,1
+--R                                            Type: Equation Expression Integer
+--E 137
+
+--S 138 of 177
 solve(ode,y,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   parseODE: equation has order 0
+--R
+--R   Continuing to read the file...
+--R
+--E 138
 
--- 44
 )clear all
+ 
+
+--S 139 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 139
+
+--S 140 of 177
 ode := D(y x,x,4) = sin(x)
+--R 
+--R
+--R         (iv)
+--R   (2)  y    (x)= sin(x)
+--R
+--R                                            Type: Equation Expression Integer
+--E 140
+
+--S 141 of 177
 solve(ode,y,x=0,[0,0,0,0])
+--R 
+--R
+--R                   3
+--R        6sin(x) + x  - 6x
+--R   (3)  -----------------
+--R                6
+--R                                          Type: Union(Expression Integer,...)
+--E 141
 
--- 45
 )clear all
+ 
+--S 142 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 142
+
+--S 143 of 177
 ode := x*D(y x,x,2) + D(y x,x) +2*x*y(x) =0
+--R 
+--R
+--R          ,,       ,
+--R   (2)  xy  (x) + y (x) + 2x y(x)= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 143
+
+--S 144 of 177
 solve(ode,y,x=0,[1,0])
+--R 
+--R
+--R   (3)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 144
 
--- 46
 )clear all
+ 
+--S 145 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 145
+
+--S 146 of 177
 ode := x*D(y x,x)^2 -(y x)^2 + 1 = 0
+--R 
+--R
+--R           ,   2       2
+--R   (2)  x y (x)  - y(x)  + 1= 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 146
+
+--S 147 of 177
 solve(ode,y,x=0,[1])
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 147
 
--- 47
 )clear all
+ 
+--S 148 of 177
 y := operator 'y
+--R 
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 148
+
+--S 149 of 177
 ode := D(y x,x,2) + y(x)*D(y x,x)^3 = 0
+--R 
+--R
+--R         ,,           ,   3
+--R   (2)  y  (x) + y(x)y (x) = 0
+--R
+--R                                            Type: Equation Expression Integer
+--E 149
+
+--S 150 of 177
 solve(ode,y,x=0,[0,2])
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 150
 
 -- Systems Of equations
 
--- 48
 )clear all
+ 
+--S 151 of 177
 x := operator 'x
+--R 
+--R
+--R   (1)  x
+--R                                                          Type: BasicOperator
+--E 151
+
+--S 152 of 177
 y := operator 'y
+--R 
+--R
+--R   (2)  y
+--R                                                          Type: BasicOperator
+--E 152
+
+--S 153 of 177
 z := operator 'z
+--R 
+--R
+--R   (3)  z
+--R                                                          Type: BasicOperator
+--E 153
+
+--S 154 of 177
 odes := [D(x t,t) = -3*y(t)*z(t), D(y t,t) = 3*x(t)*z(t), D(z t,t) = -x(t)*y(t)]
+--R 
+--R
+--R          ,                  ,                ,
+--R   (4)  [x (t)= - 3y(t)z(t),y (t)= 3x(t)z(t),z (t)= - x(t)y(t)]
+--R
+--R                                       Type: List Equation Expression Integer
+--E 154
+
+--S 155 of 177
 solve(odes,[x,y,z],t)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getfreelincoeff: not a linear ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 155
 
--- 49
 )clear all
+ 
+--S 156 of 177
 x := operator 'x
+--R 
+--R
+--R   (1)  x
+--R                                                          Type: BasicOperator
+--E 156
+
+--S 157 of 177
 y := operator 'y
+--R 
+--R
+--R   (2)  y
+--R                                                          Type: BasicOperator
+--E 157
+
+--S 158 of 177
 a := operator 'a
+--R 
+--R
+--R   (3)  a
+--R                                                          Type: BasicOperator
+--E 158
+
+--S 159 of 177
 b := operator 'b
+--R 
+--R
+--R   (4)  b
+--R                                                          Type: BasicOperator
+--E 159
+
+--S 160 of 177
 odes := [D(x t,t) = a(t)*((y t)^2 - (x t)^2) + 2*b(t)*x(t)*y(t) + 2*c*x(t),
          D(y t,t) = b(t)*((y t)^2 - (x t)^2) - 2*a(t)*x(t)*y(t) + 2*c*y(t)]
+--R 
+--R
+--R   (5)
+--R     ,             2                           2
+--R   [x (t)= a(t)y(t)  + 2b(t)x(t)y(t) - a(t)x(t)  + 2c x(t),
+--R
+--R     ,             2                                    2
+--R    y (t)= b(t)y(t)  + (- 2a(t)x(t) + 2c)y(t) - b(t)x(t) ]
+--R
+--R                                       Type: List Equation Expression Integer
+--E 160
+
+--S 161 of 177
 solve(odes,[x,y],t)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   getlincoeff: not an appropriate ordinary differential equation
+--R
+--R   Continuing to read the file...
+--R
+--E 161
 
--- 50
 )clear all
+ 
+--S 162 of 177
 x := operator 'x
+--R 
+--R
+--R   (1)  x
+--R                                                          Type: BasicOperator
+--E 162
+
+--S 163 of 177
 y := operator 'y
+--R 
+--R
+--R   (2)  y
+--R                                                          Type: BasicOperator
+--E 163
+
+--S 164 of 177
 odes := [D(x t,t) = x(t)*(1+cos(t)/(2+sin(t))), D(y t,t) = x(t) - y(t)]
+--R 
+--R
+--R          ,     x(t)sin(t) + x(t)cos(t) + 2x(t)  ,
+--R   (3)  [x (t)= -------------------------------,y (t)= - y(t) + x(t)]
+--R                           sin(t) + 2
+--R                                       Type: List Equation Expression Integer
+--E 164
+
+--S 165 of 177
 solve(odes,[x,y],t)
+--R 
+--R
+--R   (4)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 165
 
--- 51
 )clear all
+ 
+--S 166 of 177
 x := operator 'x
+--R 
+--R
+--R   (1)  x
+--R                                                          Type: BasicOperator
+--E 166
+
+--S 167 of 177
 y := operator 'y
+--R 
+--R
+--R   (2)  y
+--R                                                          Type: BasicOperator
+--E 167
+
+--S 168 of 177
 odes := [D(x t,t) = 9*x(t) + 2*y(t), D(y t,t) = x(t) + 8*y(t)]
+--R 
+--R
+--R          ,                    ,
+--R   (3)  [x (t)= 2y(t) + 9x(t),y (t)= 8y(t) + x(t)]
+--R
+--R                                       Type: List Equation Expression Integer
+--E 168
+
+--S 169 of 177
 solve(odes,[x,y],t)
+--R 
+--R
+--R                                            10t
+--R                                      10t %e        7t     7t
+--R   (4)  [particular= [0,0],basis= [[%e   ,-----],[%e  ,- %e  ]]]
+--R                                            2
+--RType: Union(Record(particular: Vector Expression Integer,basis: List Vector Expression Integer),...)
+--E 169
 
--- 52
 )clear all
+ 
+--S 170 of 177
 x := operator 'x
+--R 
+--R
+--R   (1)  x
+--R                                                          Type: BasicOperator
+--E 170
+
+--S 171 of 177
 y := operator 'y
+--R 
+--R
+--R   (2)  y
+--R                                                          Type: BasicOperator
+--E 171
+
+--S 172 of 177
 odes := [D(x t,t) - x(t) - 2*y(t) = 0, D(x t,t,2) - 2*D(y t,t) = 2*t - cos(2*t)]
+--R 
+--R
+--R          ,                       ,,        ,
+--R   (3)  [x (t) - 2y(t) - x(t)= 0,x  (t) - 2y (t)= - cos(2t) + 2t]
+--R
+--R                                       Type: List Equation Expression Integer
+--E 172
+
+--S 173 of 177
 solve(odes,[x,y],t)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   solve: not a first order linear system
+--R
+--R   Continuing to read the file...
+--R
+--E 173
 
--- 53
 )clear all
+ 
+--S 174 of 177
 y1 := operator 'y1
+--R 
+--R
+--R   (1)  y1
+--R                                                          Type: BasicOperator
+--E 174
+
+--S 175 of 177
 y2 := operator 'y2
-odes := [D(y1 x,x) = -1/(x*(x^2 + 1))*y1(x) + 1/(x^2*(x^2 + 1))*y2(x)+1/x,
+--R 
+--R
+--R   (2)  y2
+--R                                                          Type: BasicOperator
+--E 175
+
+--S 176 of 177
+odes := [D(y1 x,x) = -1/(x*(x^2 + 1))*y1(x) + 1/(x^2*(x^2 + 1))*y2(x)+1/x,_
          D(y2 x,x) = -x^2/(x^2 + 1)*y1(x) + (2*x^2+1)/x/(x^2+1)*y2(x)+1]
+--R 
+--R
+--R   (3)
+--R                               3                2              3         3
+--R      ,     y2(x) - x y1(x) + x  + x   ,     (2x  + 1)y2(x) - x y1(x) + x  + x
+--R   [y1 (x)= ------------------------,y2 (x)= ---------------------------------]
+--R                      4    2                                3
+--R                     x  + x                                x  + x
+--R                                       Type: List Equation Expression Integer
+--E 176
+
+--S 177 of 177
 solve(odes,[y1,y2],x)
+--R 
+--R
+--R                                                        1    2
+--R   (4)  [particular= [log(x) - 1,x log(x) - x],basis= [[-,- x ],[1,x]]]
+--R                                                        x
+--RType: Union(Record(particular: Vector Expression Integer,basis: List Vector Expression Integer),...)
+--E 177
+
+)spool
+)lisp (bye)
 
 \end{chunk}
 \eject
